---
title: RTCOutboundRtpStreamStats.nackCount
slug: Web/API/RTCOutboundRtpStreamStats/nackCount
tags:
  - API
  - Audio
  - Media
  - NACK
  - Packet Loss
  - Packets
  - Property
  - RTCOutboundRtpStreamStats
  - Reference
  - Reliability
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - nackCount
  - stream
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>nackCount</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary is a numeric value indicating the number of times the {{domxref("RTCRtpSender")}} described by this object received a <strong>NACK</strong> packet from the remote receiver.</span> A NACK (Negative ACKnowledgement, also called "Generic NACK") packet is used by the {{domxref("RTCRtpReceiver")}} to inform the sender that one or more {{Glossary("RTP")}} packets it sent were lost in transport.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>nackCount</em> = <em>RTCOutboundRtpStreamStats</em>.nackCount;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating how many times the sender received a NACK packet from the receiver, indicating the loss of one or more packets.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-nackcount', 'RTCOutboundRtpStreamStats.nackCount')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.nackCount")}}</p>
